## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global libname liboscillator-disciplining
%global _description %{expand:
Library providing C disciplining algorithm used with oscillatord to discipling
oscillators using the minipod algorithm developed by Matthias Lorentz.}

Name:           disciplining-minipod
Version:        3.4.5
Release:        %autorelease
Summary:        Disciplining algorithm for Atomic Reference Time Card

License:        LGPLv2
URL:            https://github.com/Orolia2s/disciplining-minipod
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  sed

%description    %{_description}

%package -n     %{libname}
Summary:        %{summary}

%description -n %{libname} %{_description}

%package -n     %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This package contains development headers and files for %{libname}.

%prep
%autosetup -p1
# Drop forced optimization flag
sed -i 's/-O3//' CMakeLists.txt
# Do not install static library
sed -i 's/^install.*-static.*$//' src/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%set_build_flags
%if 0%{?el8}
export CC="%{__cc}"
%endif
# build tests
%cmake -DBUILD_TESTS=true -DCMAKE_PREFIX_PATH="%{buildroot}%{_prefix}"
%cmake_build
# run tests
for t in test-checks test-utils test-minipod-lib test-fine-circular-buffer; do
# work around newer cmake and %{_vpath_builddir} difference
%if 0%{?el8}
  LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./test/$t
%else
  LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./%{_vpath_builddir}/test/$t
%endif
done

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.3*

%files -n %{libname}-devel
%{_includedir}/oscillator-disciplining
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Tue Feb 14 2023 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.4.5-1
- Update to 3.4.5

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Alexander Bulimov <abulimov@fedoraproject.org> - 3.4.3-1
- Update to 3.4.3

* Tue Jan 03 2023 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.4.2-1
- Update to 3.4.2

* Wed Oct 26 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.4.1-1
- Update to 3.4.1

* Fri Oct 07 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0

* Mon Sep 12 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.9-1
- Update to 3.3.9

* Mon Sep 05 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.8-1
- Update to 3.3.8

* Wed Aug 10 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.7-1
- Update to 3.3.7

* Thu Aug 04 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.6-1
- Update to 3.3.6

* Tue Aug 02 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.5-1
- Update to 3.3.5

* Mon Aug 01 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.4-1
- Update to 3.3.4

* Fri Jul 29 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.3-1
- Update to 3.3.3

* Fri Jul 22 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.2-1
- Update to 3.3.2

* Wed Jul 13 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.3.1-1
- Update to 3.3.1

* Tue Jul 05 2022 Oleg Obleukhov <leoleovich@fedoraproject.org> - 3.2.6-1
- Update to 3.2.6

* Fri Jun 17 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.2.4-1
- Update to 3.2.4

* Thu Jun 16 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.2.3-1
- Update to 3.2.3

* Tue Jun 07 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1

* Fri Jun 03 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.2.0-2
- Skip test-fine-circular-buffer

* Fri Jun 03 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0

* Wed May 25 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Fri May 20 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Thu May 12 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.0.10-1
- Update to 3.0.10

* Thu May 05 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.0.8-1
- Update to 3.0.8

* Wed Apr 27 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 3.0.3-1
- Update to v3.0.3

* Fri Mar 25 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 2.1.0-1
- Update to v2.1.0

* Fri Mar 25 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Mar 25 2022 Alexander Bulimov <abulimov@fedoraproject.org> - 1.3.0-1
- Update to v1.3.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Alexander Bulimov <alexander.bulimov@gmail.com> - 1.2.0-1
- Update to v1.2.0

* Tue Aug 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.1-2
- Ensure the CC env variable is set on el8

* Tue Aug 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 1.0.1-1
- Initial import; Fixes: RHBZ#1992232
